<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>jqEach</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
</head>
<body>
    <div id="info"></div>

    <script>
        pets={
            Scratchy : 'морская свинка',
            Squeeky : 'морская свинка',
            Fluffy : 'Rabbit',
            Thumper : 'Rabbit',
            Snoopy : 'Dog',
            Tiddles : 'Cat'
        }

        // guineapigs = []

        // $.each(pets, function (key, name) {
        //     if(name == 'морская свинка'){
        //         guineapigs.push(name);
        //     }
        // })
        guineapigs = $.map(pets, function (key, name) {
            if(key == 'морская свинка'){
                return key
            }
        })
        $('#info').html('в масиме guineapigs вот такие значения : ' + guineapigs.join(' '));
    </script>
</body>
</html>